#######################################################################################
# Book settings
title: "Introduction to computational mathematics"
logo: images/logo/cover-page.png
author: Lorenzo Zambelli
email: "bytemath@lorenzozambelli.it"
description: >- # this means to ignore newlines until "baseurl:"
  An introduction to Computational Mathematics
execute:
  execute_notebooks: off
  run_in_temp: true
toc:
  include: 
    - _toc.yml

html:
  favicon: images/logo/logo.png
  home_page_in_navbar: false
  use_edit_page_button: true
  use_repository_button: true
  use_issues_button: true
  baseurl: https://bytemath.lorenzozambelli.it/

repository:
  url: https://gitlab.com/ByteMath/mathematics/introduction-to-computational-mathematics
  branch: master
  path_to_book: docs

launch_buttons:
  notebook_interface: "classic" # The interface interactive links will activate ["classic", "jupyterlab"]
  binderhub_url: "https://mybinder.org"
  colab_url: "https://colab.research.google.com"
  thebe: false

#######################################################################################
# LaTeX-specific settings
latex:
  latex_engine              : pdflatex  # one of 'pdflatex', 'xelatex' (recommended for unicode), 'luatex', 'platex', 'uplatex'
  use_jupyterbook_latex     : true # use sphinx-jupyterbook-latex for pdf builds as default

# Define the name of the latex output file for PDF builds
latex:
  latex_documents:
    targetname: intro_to_computational_math.tex

# Add a bibtex file so that we can create citations
bibtex_bibfiles:
  - references.bib

sphinx:
  config:
    bibtex_reference_style: author_year

footer:
  left: "ByteMath - &copy;Lorenzo Zambelli"
  right: "<a href='http://bytemath.lorenzozambelli.it/disclaimer/'>Disclaimer</a> | <a href='http://bytemath.lorenzozambelli.it/privacy-policy/'>Privacy Policy</a> | <a href='http://bytemath.lorenzozambelli.it/project'>Projects</a> | <a href='http://bytemath.lorenzozambelli.it/blog'>Blog</a>"


